Can I use this on my Mac OS X 10.6.6

  • Asked by Deborah L B from Boulder
  • Mar 22, 2011
1TB SATA Hard Disk Drive Kit for Mac Pro

1TB SATA Hard Disk Drive Kit for Mac Pro

Product No Longer Available

1 Answer from the Community

  • Requires Mac Pro (Mid 2010) and Mac OS X v10.6.4 or later.
    Definitely fine

    • Answered by Shelley L from Melbourne
    • Aug 31, 2011